{
  "name": "palvelutarjotin-ui",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "node src/start.js",
    "build": "next build",
    "start": "NODE_ENV=production node src/start.js",
    "lint": "eslint --ext js,ts,tsx src",
    "codegen": "graphql-codegen -r dotenv/config --config codegen.yml dotenv_config_path=.env",
    "format:code": "eslint --ext js,ts,tsx src --fix",
    "test": "SASS_PATH=./src/assets/styles jest --watch",
    "test:changed": "jest -o",
    "test:coverage": "jest --watchAll=false --coverage",
    "test:staged": "SASS_PATH=./src/assets/styles jest --findRelatedTests",
    "browser-test": "testcafe \"chrome --window-size='1920,1080'\" testcafe/e2e/",
    "browser-test:local": "BROWSER_TEST_ENV=local yarn browser-test",
    "browser-test:ci": "testcafe \"chrome:headless --disable-gpu --window-size='1920,1080'\" testcafe/e2e/",
    "storybook": "start-storybook -p 9009 -s ./public",
    "deploy-storybook": "storybook-to-ghpages",
    "build-storybook": "build-storybook -s public"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "dependencies": {
    "@apollo/react-hoc": "^3.1.5",
    "@apollo/react-hooks": "^3.1.5",
    "@apollo/react-ssr": "^3.1.5",
    "@datepicker-react/hooks": "2.3.1",
    "@reduxjs/toolkit": "^1.3.6",
    "@sentry/browser": "^5.19.0",
    "@types/file-saver": "^2.0.1",
    "@zeit/next-sass": "^1.0.1",
    "apollo-cache-inmemory": "^1.6.6",
    "apollo-client": "^2.6.10",
    "apollo-link": "^1.2.14",
    "apollo-link-http": "^1.5.17",
    "copy-to-clipboard": "^3.3.1",
    "date-fns": "^2.16.1",
    "esm": "^3.2.25",
    "express": "^4.17.1",
    "file-saver": "^2.0.2",
    "formik": "^2.1.4",
    "graphql": "^15.1.0",
    "graphql-tag": "^2.10.3",
    "hds-core": "^0.15.1",
    "hds-react": "^0.15.1",
    "i18next-intervalplural-postprocessor": "^2.0.1",
    "ics": "^2.22.1",
    "jsdom": "^16.2.2",
    "next": "9.5.4",
    "next-i18next": "^6.0.3",
    "next-with-apollo": "^5.0.1",
    "node-sass": "^4.14.1",
    "query-string": "^6.13.1",
    "react": "16.13.1",
    "react-dom": "16.13.1",
    "react-redux": "^7.2.0",
    "react-table": "^7.2.2",
    "react-toastify": "^6.0.8",
    "testcafe": "^1.9.3",
    "use-deep-compare-effect": "^1.3.1",
    "yup": "^0.29.1"
  },
  "devDependencies": {
    "@graphql-codegen/cli": "^1.15.3",
    "@graphql-codegen/typescript": "^1.15.3",
    "@graphql-codegen/typescript-operations": "^1.15.3",
    "@graphql-codegen/typescript-react-apollo": "^1.15.3",
    "@storybook/addon-a11y": "^5.3.19",
    "@storybook/addon-actions": "^5.3.19",
    "@storybook/addon-knobs": "^5.3.19",
    "@storybook/addon-links": "^5.3.19",
    "@storybook/addon-storysource": "^5.3.19",
    "@storybook/react": "^5.3.19",
    "@storybook/storybook-deployer": "^2.8.6",
    "@testing-library/jest-dom": "^5.10.0",
    "@testing-library/react": "^10.4.9",
    "@testing-library/react-hooks": "^3.3.0",
    "@testing-library/testcafe": "^4.2.3",
    "@testing-library/user-event": "^12.1.1",
    "@types/classnames": "^2.2.10",
    "@types/faker": "^5.1.0",
    "@types/jest": "^26.0.0",
    "@types/lodash": "^4.14.155",
    "@types/node": "^14.0.13",
    "@types/react": "^16.9.35",
    "@types/react-redux": "^7.1.9",
    "@types/react-table": "^7.0.19",
    "@types/yup": "^0.29.3",
    "@typescript-eslint/eslint-plugin": "^3.2.0",
    "@typescript-eslint/parser": "^3.2.0",
    "apollo-mocked": "^0.4.7",
    "core-js": "^2.6.5",
    "dotenv": "^8.2.0",
    "eslint": "^7.2.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-config-react-app": "^5.2.1",
    "eslint-plugin-flowtype": "^5.1.3",
    "eslint-plugin-import": "^2.21.2",
    "eslint-plugin-jsx-a11y": "^6.2.3",
    "eslint-plugin-prettier": "^3.1.3",
    "eslint-plugin-react": "^7.20.0",
    "eslint-plugin-react-hooks": "^4.0.4",
    "eslint-plugin-testcafe": "^0.2.1",
    "faker": "^5.1.0",
    "husky": "^4.3.0",
    "jest": "^26.1.0",
    "jest-css-modules-transform": "^4.0.0",
    "jest-date-mock": "^1.0.8",
    "lint-staged": "^10.4.0",
    "next-server": "^9.0.5",
    "prettier": "^2.0.5",
    "react-test-renderer": "^16.13.1",
    "ts-jest": "^26.1.0",
    "typescript": "^3.9.5",
    "waait": "^1.0.5"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{tsx,ts}": [
      "yarn test:staged",
      "prettier --write",
      "eslint --fix"
    ]
  }
}
